View Issue Details

IDProjectCategoryView StatusLast Update
0020771LazarusIDEpublic2019-04-22 19:30
ReporterMartin FriebeAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020771: first time config - missing update for validity of fpc source
Description- start IDE with empty config dir, so the initial setup dialog is shown
- select or find an fpc exe
- select an fpc source dir, but for a diff version

In my case it gave a correct warning that the source is of the wrong version.

- change the exe to match the source

the warning on the source persists. But it should be removed.


BTW
with more than one exe, it pre-selects by which criteria? I always get the lowest version...
TagsNo tags attached.
Fixed in Revision33887
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Activities

Juha Manninen

2011-11-30 07:36

developer   ~0054560

I tried to fix the warning update in r33860. Please test.

Martin Friebe

2011-11-30 13:46

manager   ~0054568

unfortunately the issue persists.

I have several fpc in
  C:\FPC\2.x.x\
and sources in
  C:\FPC\SVN\2.x.x\

Starting with an empty config, selects 2.2.3 as fpc on the "compiler" page.
The sources are not found.

I then select the 2.4.4 source, and get the warning (on the "sources" page):
   Warning: Found version 2.4.4, expected 2.2.3

Now I select the 2.4.4 compiler (from the dropdown), and the warning is still there.

As soon as I edit the sources field (add/remove space), the warning is removed.

Of course if I change the compiler again, the warning is also not re-added.


It appears, if I browse for a new compiler (instead of using the dropdown), then the warning is updated.

Juha Manninen

2011-12-01 13:59

developer   ~0054621

Please try again. Improved in r33887.

Martin Friebe

2011-12-01 14:36

manager   ~0054623

thanks works

Issue History

Date Modified Username Field Change
2011-11-29 02:09 Martin Friebe New Issue
2011-11-29 02:09 Martin Friebe LazTarget => -
2011-11-29 02:09 Martin Friebe Widgetset => Win32/Win64
2011-11-30 07:36 Juha Manninen Note Added: 0054560
2011-11-30 07:36 Juha Manninen Status new => feedback
2011-11-30 13:46 Martin Friebe Note Added: 0054568
2011-12-01 13:59 Juha Manninen Note Added: 0054621
2011-12-01 14:36 Martin Friebe Fixed in Revision => 33887
2011-12-01 14:36 Martin Friebe LazTarget - => 0.99.0
2011-12-01 14:36 Martin Friebe Status feedback => resolved
2011-12-01 14:36 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2011-12-01 14:36 Martin Friebe Resolution open => fixed
2011-12-01 14:36 Martin Friebe Assigned To => Martin Friebe
2011-12-01 14:36 Martin Friebe Note Added: 0054623
2011-12-01 14:36 Martin Friebe Target Version => 0.99.0
2019-04-22 19:30 Martin Friebe Status resolved => closed